Package com.independentsoft.office.diagrams

# Class Algorithm

java.lang.Object
com.independentsoft.office.diagrams.Algorithm

All Implemented Interfaces:
  `IElement`, `ILayoutNodeElement`

public class Algorithm extends Object implements IElement, ILayoutNodeElement
The Class Algorithm.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Algorithm()`
  Instantiates a new algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Algorithm`
  `clone()`
  `List<Parameter>`
  `getParameters()`
  Gets the parameters.
  `long`
  `getRevisionNumber()`
  Gets the revision number.
  `AlgorithmType`
  `getType()`
  Gets the type.
  `void`
  `setRevisionNumber​(long revisionNumber)`
  Sets the revision number.
  `void`
  `setType​(AlgorithmType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Algorithm

    public Algorithm()
    Instantiates a new algorithm.

- ## Method Details

  - ### clone

    public Algorithm clone()
    Specified by:
      `clone` in interface `IElement`
    Specified by:
      `clone` in interface `ILayoutNodeElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getParameters

    public List<Parameter> getParameters()
    Gets the parameters.
    Returns:
      the parameters

  - ### getRevisionNumber

    public long getRevisionNumber()
    Gets the revision number.
    Returns:
      the revision number

  - ### setRevisionNumber

    public void setRevisionNumber​(long revisionNumber)
    Sets the revision number.
    Parameters:
      `revisionNumber` - the new revision number

  - ### getType

    public AlgorithmType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(AlgorithmType type)
    Sets the type.
    Parameters:
      `type` - the new type